Package net.md_5.bungee.protocol.packet

# Class Handshake

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.Handshake

public class Handshake extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Handshake()`
  `Handshake(int protocolVersion, String host, int port, int requestedProtocol)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getHost()`
  `int`
  `getPort()`
  `int`
  `getProtocolVersion()`
  `int`
  `getRequestedProtocol()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `void`
  `read(io.netty.buffer.ByteBuf buf)`
  `void`
  `setHost(String host)`
  `void`
  `setPort(int port)`
  `void`
  `setProtocolVersion(int protocolVersion)`
  `void`
  `setRequestedProtocol(int requestedProtocol)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Handshake

    public Handshake()

  - ### Handshake

    public Handshake(int protocolVersion, String host, int port, int requestedProtocol)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getProtocolVersion

    public int getProtocolVersion()

  - ### getHost

    public String getHost()

  - ### getPort

    public int getPort()

  - ### getRequestedProtocol

    public int getRequestedProtocol()

  - ### setProtocolVersion

    public void setProtocolVersion(int protocolVersion)

  - ### setHost

    public void setHost(String host)

  - ### setPort

    public void setPort(int port)

  - ### setRequestedProtocol

    public void setRequestedProtocol(int requestedProtocol)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`